summarylogtreecommitdiffstats
path: root/apk-editor-studio.sh
diff options
context:
space:
mode:
authorzxp198210052024-04-23 10:38:41 +0800
committerzxp198210052024-04-23 10:38:41 +0800
commitbb3f7fc14290334a6df12e3bdc44eced2f131adc (patch)
treea1850b8cf1441dadb53ecb8a9e0596f3e4380ac9 /apk-editor-studio.sh
parentf5efbb9dfe4f1424d7f610eebef103624078f8e0 (diff)
downloadaur-apk-editor-studio-bin.tar.gz
fix errors
Diffstat (limited to 'apk-editor-studio.sh')
-rw-r--r--apk-editor-studio.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/apk-editor-studio.sh b/apk-editor-studio.sh
new file mode 100644
index 000000000000..a5713ebc8888
--- /dev/null
+++ b/apk-editor-studio.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -e
+_APPDIR="/opt/@appname@"
+_RUNNAME="${_APPDIR}/bin/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export QT_PLUGIN_PATH="${_APPDIR}/plugins:${QT_PLUGIN_PATH}"
+export QML_IMPORT_PATH="${_APPDIR}/qml:${QML_IMPORT_PATH}"
+export QML2_IMPORT_PATH="${_APPDIR}/qml:${QML2_IMPORT_PATH}"
+export QT_QPA_PLATFORMTHEME="gtk2"
+cd "${_APPDIR}"
+exec "${_RUNNAME}" "$@" || exit $? \ No newline at end of file